Re: Failure to build glib2 as part of xsane dependency

2017-05-10 Thread Chris Jones
You need to uninstall any ports built using 4.0, then uninstall clang-4.0 and llvm-4.0, then reinstall the ports you need using clang 3.9. Chris On 09/05/17 19:56, ges...@ftp83plus.net wrote: Doesn't work. The following ports will break: cctools @895_4 ld64-latest @274.2_1 I selected

Re: Failure to build glib2 as part of xsane dependency

2017-05-09 Thread gestos
Doesn't work. The following ports will break: cctools @895_4 ld64-latest @274.2_1 I selected "y" anyway, but as expected, got the same error message: cctools: Variant llvm39 conflicts with llvm40 El 2017-05-09, a las 13:58, Ken Cunningham escribió: > sudo port uninstall clang-4.0 llvm-4.0

Re: Failure to build glib2 as part of xsane dependency

2017-05-09 Thread Ken Cunningham
sudo port uninstall clang-4.0 llvm-4.0 should do it for you. don't forget to change the line in macports.conf about default_compilers, removing clang-4.0. BTW I appear to have fixed clang-4.0 for snow leopard, and depending on what Jeremy wants to do with that, it should be working in macports

Re: Failure to build glib2 as part of xsane dependency

2017-05-09 Thread gestos
Me again. I forgot, but how do I uninstall the broken llvm40 version? On Step 7, it complains about conflict between llvm39 and llvm 40. Thanks El 2017-05-05, a las 19:05, Ken Cunningham escribió: > > On 2017-05-04, at 12:32 PM, ges...@ftp83plus.net wrote: > >>> Hello there, >>> >>> I

Re: Failure to build glib2 as part of xsane dependency

2017-05-05 Thread Ken Cunningham
On 2017-05-04, at 12:32 PM, ges...@ftp83plus.net wrote: >> Hello there, >> >> I needed to reinstall MacPorts on Snow Leopard, and followed the >> instructions in LibcxxOnOlderSystems (I recall some ports wouldn't compile >> properly without it), including the experimental steps. Only there,